Bug 66576 - Network Configuration (neat) crashes
Network Configuration (neat) crashes
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-12 10:38 EDT by mscole46
Modified: 2007-04-18 12:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:19:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
same problem, can't configure RTL8139 NIC, traceback file attached (1.06 KB, text/plain)
2002-07-22 14:33 EDT, wallingjl
no flags Details

  None (edit)
Description mscole46 2002-06-12 10:38:16 EDT
Description of Problem: 
Network Configuration will not let me configure my Realtek RTL-8139 ethernet 
card 
 
Version-Release number of selected component (if applicable): 
 
 
How Reproducible: 
 
 
Steps to Reproduce: 
1. configure hardware 
2. click apply 
3.  
 
Actual Results: 
Traceback (innermost last): 
  File "/usr/sbin/neat", line 1402, in ? 
    gtk.mainloop() 
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop 
    _gtk.gtk_main() 
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__ 
    ret = apply(self.func, a) 
  File "/usr/sbin/neat", line 449, in on_applyButton_clicked 
    self.save() 
  File "/usr/sbin/neat", line 287, in save 
    self.saveHardware() 
  File "/usr/sbin/neat", line 302, in saveHardware 
    hardwarelist.save() 
  File 
"/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py", line 
288, in save 
    modules[hw.Card.ModuleName]['options'][confkey] = 
str(hw.Card.__dict__[selfkey]) 
KeyError: options 
 
Local variables in innermost frame: 
isdn: <netconfpkg.NCisdnhardware.ConfISDN instance at 8514b00> 
hw: <netconfpkg.HardwareList.Hardware instance at 84e4540> 
selfkey: IRQ 
wvdial: <netconfpkg.ConfSMB.ConfSMB instance at 8515fa0> 
modules: <netconfpkg.NCHardwareList.MyConfModules instance at 84eb998> 
confkey: irq 
self: [<netconfpkg.HardwareList.Hardware instance at 84e4540>] 
 
 
Expected Results: 
 
take a wild guess 
Additional Information:
Comment 1 wallingjl 2002-07-22 14:33:40 EDT
Created attachment 66344 [details]
same problem, can't configure RTL8139 NIC, traceback file attached
Comment 2 David Howland 2003-02-22 11:32:51 EST
Similar problem. In the "Network Configuration" select "Hardware" tab, select a
device and then "Edit" button. My system has two ethernet devices. This feature
fails on both. Traces below.

Linux handmade.localdomain 2.4.18-17.7.x #1 Wed Oct 30 18:56:02 PST 2002 i686
unknown

Ethernet devices Descriptions
  VIA VT86c100A Rhine-II PCI      (built into SOYO Dragon+ AMD Motherboard)
  3Com 3C=c590/3c595/3c90x/3cx98  (3c905C-TX/TX-M[Tornado])

Rhine backtrace

Traceback (innermost last):
  File "/usr/sbin/neat", line 1402, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 1248, in on_hardwareEditButton_clicked
    self.showHardwareDialog(type, true)
  File "/usr/sbin/neat", line 1269, in showHardwareDialog
    dialog = ethernetHardwareDialog(hw)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/ethernethardware.py",
line 75, in __init__
    self.setup()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/ethernethardware.py",
line 135, in setup
    list.append(modInfo[i]['description'])
KeyError: description

Local variables in innermost frame:
modInfo: <netconfpkg.Conf.ConfModInfo instance at 84d2d68>
list: ['RealTek RTL8129', 'Raytheon Raylink/WebGear/Aviator PCMCIA wireless',
'SMC Ultra32 EISA', 'DEC 21*40 and clones', 'Lucent Orinoco/Melco PCMCIA
wireless (alternate)', 'SMC 91c92 series PCMCIA', 'Aironet 4500 PCI-ISA-i365
wireless', 'Intel EtherExpress/1000', 'PCI NE2000 clones', 'MiCom-Interlan
NI5010', '3Com 3c515 Corkscrew', 'SMC 83c170 EPIC/100', 'NI5210 ethernet',
'AT1500, HP J2405A, most NE2100/clone', 'MyriCOM MyriNET SBUS', '3Com
EtherLink16', 'AT&T/Lucent/Hitachi ISA WaveLAN', 'SiS 900/7016CI', 'Cabletron
E2100', 'NE1000, NE2000, and compatible', 'Intel EtherExpress Pro 100B', 'Allied
Telesis AT1700', 'Greenwigh GIrBIL IrDA', 'Older DEC 21040, most 21*40', 'NSC
IrDA', 'Sun Quad', 'ICL EtherTeam 16i/32 EISA', '3Com 3c590/3c595/3c90x/3cx980',
'3Com 3c589 series PCMCIA', 'Sun BigMac', 'ThunderLAN', '3Com 3c574 series
PCMCIA', 'Ansel Communications Model 3200', 'Aironet 4500 PCMCIA wireless',
'Xircom CBE-100 CardBus', 'General Instruments SB1000']
self: <netconfpkg.gui.ethernethardware.ethernetHardwareDialog instance at 84c0768>
i: defxx


3Com backtrace - almost the same as above
Traceback (innermost last):
  File "/usr/sbin/neat", line 1402, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 1248, in on_hardwareEditButton_clicked
    self.showHardwareDialog(type, true)
  File "/usr/sbin/neat", line 1269, in showHardwareDialog
    dialog = ethernetHardwareDialog(hw)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/ethernethardware.py",
line 75, in __init__
    self.setup()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/ethernethardware.py",
line 135, in setup
    list.append(modInfo[i]['description'])
KeyError: description

Local variables in innermost frame:
modInfo: <netconfpkg.Conf.ConfModInfo instance at 8413958>
list: ['RealTek RTL8129', 'Raytheon Raylink/WebGear/Aviator PCMCIA wireless',
'SMC Ultra32 EISA', 'DEC 21*40 and clones', 'Lucent Orinoco/Melco PCMCIA
wireless (alternate)', 'SMC 91c92 series PCMCIA', 'Aironet 4500 PCI-ISA-i365
wireless', 'Intel EtherExpress/1000', 'PCI NE2000 clones', 'MiCom-Interlan
NI5010', '3Com 3c515 Corkscrew', 'SMC 83c170 EPIC/100', 'NI5210 ethernet',
'AT1500, HP J2405A, most NE2100/clone', 'MyriCOM MyriNET SBUS', '3Com
EtherLink16', 'AT&T/Lucent/Hitachi ISA WaveLAN', 'SiS 900/7016CI', 'Cabletron
E2100', 'NE1000, NE2000, and compatible', 'Intel EtherExpress Pro 100B', 'Allied
Telesis AT1700', 'Greenwigh GIrBIL IrDA', 'Older DEC 21040, most 21*40', 'NSC
IrDA', 'Sun Quad', 'ICL EtherTeam 16i/32 EISA', '3Com 3c590/3c595/3c90x/3cx980',
'3Com 3c589 series PCMCIA', 'Sun BigMac', 'ThunderLAN', '3Com 3c574 series
PCMCIA', 'Ansel Communications Model 3200', 'Aironet 4500 PCMCIA wireless',
'Xircom CBE-100 CardBus', 'General Instruments SB1000']
self: <netconfpkg.gui.ethernethardware.ethernetHardwareDialog instance at 84f0710>
i: defxx
Comment 3 Bill Nottingham 2006-08-05 01:40:34 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Bill Nottingham 2006-10-18 13:19:28 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.